Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.sos
Class ComponentMetadata

    java.lang.Object
      org.deegree.ogcwebservices.sos.ComponentMetadata

Direct Known Subclasses:
  PlatformMetadata, SensorMetadata

    public abstract class ComponentMetadata

extends Object

holds the metadata of a generic component; the necessary parts of the SensorML spec are implemented; please read the SensorML spec for more info

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Matthias Kulbe , last edited by: $Author: mschneider $

Constructor Summary
`protected` | `ComponentMetadata(Identifier[] identifiedAs, Classifier[] classifiedAs, EngineeringCRS hasCRS, LocationModel[] locatedUsing, ComponentDescription describedBy, String attachedTo)` Constructor

Method Summary
`String` | `getAttachedTo()`
`Classifier[]` | `getClassifiedAs()`
`ComponentDescription` | `getDescribedBy()`
`EngineeringCRS` | `getHasCRS()`
`Identifier[]` | `getIdentifiedAs()`
`LocationModel[]` | `getLocatedUsing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentMetadata

    protected ComponentMetadata(Identifier[] identifiedAs,
                                Classifier[] classifiedAs,
                                EngineeringCRS hasCRS,
                                LocationModel[] locatedUsing,
                                ComponentDescription describedBy,
                                String attachedTo)

  Constructor

  Parameters:
    `identifiedAs` -
    `classifiedAs` -
    `hasCRS` -
    `locatedUsing` -
    `describedBy` -
    `attachedTo` -

Method Detail

### getAttachedTo

    public String getAttachedTo()

  Returns:
    attachedTo

### getClassifiedAs

    public Classifier[] getClassifiedAs()

  Returns:
    classifiedAs

### getDescribedBy

    public ComponentDescription getDescribedBy()

  Returns:
    describedBy

### getHasCRS

    public EngineeringCRS getHasCRS()

  Returns:
    hasCRS

### getIdentifiedAs

    public Identifier[] getIdentifiedAs()

  Returns:
    identifiedAs

### getLocatedUsing

    public LocationModel[] getLocatedUsing()

  Returns:
    locatedUsing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org